Support #171

Please provide official Sylpheed updates through the Ubuntu Software Center

Added by X. W. 7 months ago. Updated 4 months ago.

Status:NewStart date:03/06/2014
Priority:NormalDue date:
Assignee:-% Done:

0%

Category:-Spent time:-
Target version:-

Description

Dear Sylpheed developer(s),

i already asked for an official Sylpheed PPA, which was basically rejected, see:

http://sylpheed.sraoss.jp/redmine/issues/125

So, this time I have a slightly different request:

Could you please provide official Sylpheed updates through the Ubuntu Software Center?

The current Ubuntu release 13.10 is still using the old Sylpheed 3.4beta5:

http://packages.ubuntu.com/saucy/sylpheed
https://apps.ubuntu.com/cat/applications/saucy/sylpheed/

and the current Ubuntu LTS release 12.04 is using the even older Sylpheed 3.2beta5:

http://packages.ubuntu.com/precise/sylpheed
https://apps.ubuntu.com/cat/applications/precise/sylpheed/

even though Sylpheed is already at 3.4beta7.

There is a Launchpad bug which complains about outdated applications on Ubuntu, see:

https://bugs.launchpad.net/ubuntu/+bug/578045

and one comment suggests to ask the application developer(s) to provide application updates through the Ubuntu Software Center, see:

https://bugs.launchpad.net/ubuntu/+bug/578045/comments/52

So, that's what I am doing hereby:

Could you please provide official Sylpheed updates through the Ubuntu Software Center?

It would be much appreciated.

Regards


Related issues

Related to Feature #125: Official Sylpheed PPA for Ubuntu? New 08/11/2013

History

#1 Updated by Georg Schmalhofer 6 months ago

Hello!

May I ask to change this to a feature request with priority set to "high"?

Reason:
- Sylpheed versions in official Ubuntu repositories are outdated, meaning that they may contain dangerous bugs like #167. Therefore they cannot be safely used.
- The only way to use an up-to-date version is to use an inofficial PPA, which isn't recommendable either.

Therefore I would really appreciate if you could offer official updates through the Ubuntu repositories.

Thanks!

#2 Updated by X. W. 6 months ago

Hello,

a few days ago, I opened a request on Launchpad, asking for Sylpheed in Ubuntu 14.04 LTS Trusty Tahr being synced from Debian sid, see:

https://bugs.launchpad.net/ubuntu/+source/sylpheed/+bug/1301274

But nothing happened since then (the Debian import freeze has already been reached).

Ubuntu 14.04 LTS Trusty Tahr will be released in less than ten days and still only has Sylpheed 3.4beta7, which has a security bug (http://sylpheed.sraoss.jp/redmine/issues/167).

I fear that Ubuntu 14.04 LTS Trusty Tahr will ship with Sylpheed 3.4beta7 and won't get updates after that (as usual...).

Please reconsider your decision regarding providing an official Sylpheed PPA for Ubuntu, or, even better, please provide official Sylpheed updates through the Ubuntu Software Center.

It would be much appreciated.

Regards

#3 Updated by X. W. 5 months ago

Well, just as I predicted:

Ubuntu 14.04 LTS Trusty Tahr has been released with Sylpheed 3.4beta7, see:

http://packages.ubuntu.com/trusty/sylpheed

:(

And this is what they said in my Launchpad request:

Julien Lavergne (gilir) wrote:

https://bugs.launchpad.net/ubuntu/+source/sylpheed/+bug/1301274

I don't think we will be able to update sylpheed in 14.04

;(

@ Sylpheed developer(s):

Please do something about this.

As much as I appreciate that you are releasing Sylpheed updates for Windows, I really dislike the fact that users do not get Sylpheed updates on Ubuntu. Why are there nice Windows installers but no Ubuntu PPA (or no Sylpheed updates on the Ubuntu Software Center)? It simply feels wrong.

I can only repeat myself and post the following link again:

https://bugs.launchpad.net/ubuntu/+bug/578045

It would be really appreciated if you could do something about this.

Regards

#4 Updated by Kentaro HAYASHI 5 months ago

  • Related to Feature #125: Official Sylpheed PPA for Ubuntu? added

#5 Updated by Kentaro HAYASHI 5 months ago

X. W. wrote:

And this is what they said in my Launchpad request:

Julien Lavergne (gilir) wrote:

https://bugs.launchpad.net/ubuntu/+source/sylpheed/+bug/1301274

I don't think we will be able to update sylpheed in 14.04

;(

I don't know well about this issue, but this is not an official answer from Ubuntu packaging maintainer, isn't it? They will update it sooner or later, I think.

It may be better to contact with Ubuntu security team to solve this issue soon.
https://wiki.ubuntu.com/SecurityTeam/UpdateProcedures

#6 Updated by X. W. 5 months ago

Kentaro HAYASHI wrote:
this is not an official answer from Ubuntu packaging maintainer, isn't it?

Well, I don't know, but it looks like he is associated with Lubuntu:

http://lubuntu.net/tags/julien-lavergne

This is his full quote:

https://bugs.launchpad.net/ubuntu/+source/sylpheed/+bug/1301274

Julien Lavergne (gilir) wrote:

Thanks for your report. I don't think we will be able to update sylpheed in 14.04, however we can include patches from upstream to fix the security
issue. I prepared a fixed version, but I don't know how to test it properly. You can found it on https://launchpad.net/~gilir/+archive/updates
(currently building).

Sylpheed is the default email client in Lubuntu by the way.

Kentaro HAYASHI wrote:
It may be better to contact with Ubuntu security team to solve this issue soon.

Sorry, but I want more than just security fixes :p. When a new Sylpheed version is being released, it should be available on Ubuntu IMHO ;). So, please release full Sylpheed updates on Ubuntu, not just security fixes.

#7 Updated by Kentaro HAYASHI 5 months ago

X. W. wrote:

Kentaro HAYASHI wrote:
this is not an official answer from Ubuntu packaging maintainer, isn't it?

Well, I don't know, but it looks like he is associated with Lubuntu:

http://lubuntu.net/tags/julien-lavergne

This is his full quote:

https://bugs.launchpad.net/ubuntu/+source/sylpheed/+bug/1301274

Julien Lavergne (gilir) wrote:

Thanks for your report. I don't think we will be able to update sylpheed in 14.04, however we can include patches from upstream to fix the security
issue. I prepared a fixed version, but I don't know how to test it properly. You can found it on https://launchpad.net/~gilir/+archive/updates
(currently building).

Sylpheed is the default email client in Lubuntu by the way.

I see. It also affects certainly...

Kentaro HAYASHI wrote:
It may be better to contact with Ubuntu security team to solve this issue soon.

Sorry, but I want more than just security fixes :p. When a new Sylpheed version is being released, it should be available on Ubuntu IMHO ;). So, please release full Sylpheed updates on Ubuntu, not just security fixes.

Ah!
Then, it seems that rest problem may be whether Ubuntu backporters team accepts or not. (I don't know backports policy yet.)

https://wiki.ubuntu.com/UbuntuBackports

#8 Updated by Hiroyuki Yamamoto 5 months ago

Hello,

Curremtly I don't have enough time to release and maintain packages for PPA or Ubuntu Software Center.
It is very welcome that someone is willing to do that, of course.

By the way, I have checked sylpheed-3.4.0~beta7-1ubuntu1,
and found that it doesn't include the fix for important dataloss bug (#193)
which had existed between 3.4.0beta1-3.4.0final.
At least this bug should be fixed as soon as possible.

#9 Updated by X. W. 4 months ago

Hiroyuki Yamamoto wrote:

Curremtly I don't have enough time to release and maintain packages for PPA or Ubuntu Software Center.

Is it so much harder than releasing and maintaining Microsoft Windows installers?

I mean, would it really be that hard?

I am not a developer nor a package maintainer, but, shouldn't it actually be rather easy to do it, condidering that the packages already are available on Debian, see:

https://packages.debian.org/search?suite=all&section=all&arch=any&searchon=names&keywords=sylpheed

?

Hiroyuki Yamamoto wrote:

By the way, I have checked sylpheed-3.4.0~beta7-1ubuntu1, and found that it doesn't include the fix for important dataloss bug (#193) which had
existed between 3.4.0beta1-3.4.0final. At least this bug should be fixed as soon as possible.

I am sorry to say, but I am now thinking of switching from Sylpheed to Claws Mail (on Ubuntu at least).

It's sad, as, so far, I like Sylpheed somewhat better than Claws Mail.

But if there are no updates for Sylpheed on Ubuntu (even though there are critical bugs), then it doesn't really make sense to use Sylpheed on this platform any longer IMHO.

At least Claws Mail has a PPA, see:

https://launchpad.net/~claws-mail
https://launchpad.net/~claws-mail/+archive/ppa

Regards

#10 Updated by X. W. 4 months ago

PS:

Look what I just found:

https://lists.ubuntu.com/archives/lubuntu-users/2014-May/007478.html

Julien Lavergne wrote:

[...]

Of course, we will try as much as possible to push all the fixes to
official repositories, especially the critical ones. However, I realized
that we should also offer some
safe-updates-but-still-too-much-for-the-official-repo to our users during
this time. That's why I'm currently preparing those updates in
https://launchpad.net/~lubuntu-dev/+archive/staging (not sure we should
keep this PPA for this purpose, but for now it should do the work). I have
in mind :

- New version of sylpheed (there is 1 or 2 fixes I'm also preparing for the
official repo)

[...]

:)

Also available in: Atom PDF